Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPlaneCollection Class Reference

`#include <vtkPlaneCollection.h>`

Inheritance diagram for vtkPlaneCollection:

[legend]
Collaboration diagram for vtkPlaneCollection:

[legend]
List of all members.

## Detailed Description

maintain a list of planes

Date:
  2002/12/26 18:24:21

Revision:
  1.19

vtkPlaneCollection is an object that creates and manipulates lists of objects of type vtkPlane.

See also:
  vtkCollection

Created by:
  - Gobbi, David
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Gobbi, David (42%)
  - Hoffman, Bill (25%)
  - Schroeder, Will (14%)
  - Martin, Ken (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkPlaneCollection.cxx)`
  - .`h` (`/Common/vtkPlaneCollection.h)`

Definition at line 49 of file vtkPlaneCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkPlane *)
vtkPlane * | GetNextItem ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPlaneCollection * | SafeDownCast (vtkObject *o)
vtkPlaneCollection * | New ()
## Protected Methods
| vtkPlaneCollection ()
| ~vtkPlaneCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkPlaneCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 52 of file vtkPlaneCollection.h.

## Constructor & Destructor Documentation

vtkPlaneCollection::vtkPlaneCollection | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkPlaneCollection.h.

vtkPlaneCollection::~vtkPlaneCollection | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkPlaneCollection.h.

## Member Function Documentation

virtual const char* vtkPlaneCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkPlaneCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkPlaneCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkPlaneCollection* vtkPlaneCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

vtkPlaneCollection* vtkPlaneCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

void vtkPlaneCollection::AddItem | ( | vtkPlane * |  | ) | `[inline]`

| Add a plane to the list. Definition at line 75 of file vtkPlaneCollection.h. References vtkCollection::AddItem().

vtkPlane * vtkPlaneCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next plane in the list. Definition at line 80 of file vtkPlaneCollection.h. References vtkCollection::GetNextItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkPlaneCollection.h